Bug 1564147 - [abrt] sysfs_create_dir_ns: WARNING: CPU: 1 PID: 5673 at fs/sysfs/dir.c:31 sysfs_warn_dup+0x51/0x60 [NEEDINFO]
Summary: [abrt] sysfs_create_dir_ns: WARNING: CPU: 1 PID: 5673 at fs/sysfs/dir.c:31 sy...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b85aa80dc208e401ee788d3feaa...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-05 13:28 UTC by melbana163
Modified: 2018-08-29 14:55 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-29 14:55:32 UTC
Type: ---
jforbes: needinfo?


Attachments (Terms of Use)
File: dmesg (94.85 KB, text/plain)
2018-04-05 13:29 UTC, melbana163
no flags Details

Description melbana163 2018-04-05 13:28:38 UTC
Description of problem:
help me in this

Additional info:
reporter:       libreport-2.9.3
WARNING: CPU: 1 PID: 5673 at fs/sysfs/dir.c:31 sysfs_warn_dup+0x51/0x60
Modules linked in: nls_utf8 isofs vfat fat uas usb_storage fuse nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables sunrpc snd_hda_codec_hdmi coretemp snd_hda_codec_idt dell_rbtn kvm snd_hda_codec_generic dell_laptop snd_hda_intel iTCO_wdt iTCO_vendor_support rfkill snd_hda_codec irqbypass snd_hda_core snd_hwdep dell_smbios_smm dell_smbios_wmi snd_seq gpio_ich snd_seq_device wmi_bmof dell_wmi
 sparse_keymap dcdbas dell_smbios dell_wmi_descriptor dell_smm_hwmon snd_pcm snd_timer lpc_ich joydev i2c_i801 wmi snd soundcore shpchp acpi_cpufreq i915 tg3 sdhci_pci firewire_ohci serio_raw sdhci i2c_algo_bit mmc_core drm_kms_helper firewire_core crc_itu_t yenta_socket ptp pps_core drm video
CPU: 1 PID: 5673 Comm: systemd-sleep Not tainted 4.15.13-300.fc27.x86_64 #1
Hardware name: Dell Inc. Latitude E5400                  /0D693C, BIOS A17 09/27/2011
RIP: 0010:sysfs_warn_dup+0x51/0x60
RSP: 0018:ffffadae434e3b68 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff9f1de0533000 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000096 RDI: ffff9f1edfd168f0
RBP: ffff9f1ec5b04650 R08: 0000000000000451 R09: 0000000000000004
R10: 0000000000000001 R11: 0000000000000001 R12: ffff9f1ed65eb000
R13: ffff9f1e46517050 R14: ffff9f1e8da16c50 R15: 0000000000000000
FS:  00007ff77b5d1940(0000) GS:ffff9f1edfd00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007fa9ef166000 CR3: 0000000117ed2000 CR4: 00000000000006e0
Call Trace:
 sysfs_create_dir_ns+0x70/0x80
 kobject_add_internal+0xa8/0x2e0
 kobject_add+0x71/0xd0
 ? _cond_resched+0x15/0x40
 ? kmem_cache_alloc_trace+0x1a0/0x1b0
 ? device_private_init+0x1f/0x70
 device_add+0x129/0x670
 __power_supply_register+0x1d3/0x3a0
 sysfs_add_battery+0x86/0xe0
 battery_notify+0x5e/0x70
 notifier_call_chain+0x47/0x70
 __blocking_notifier_call_chain+0x46/0x70
 pm_notifier_call_chain+0x1e/0x40
 pm_suspend+0x368/0x3b0
 state_store+0x7d/0xe0
 kernfs_fop_write+0x10f/0x190
 __vfs_write+0x36/0x180
 ? selinux_file_permission+0x116/0x130
 ? security_file_permission+0x3c/0xb0
 vfs_write+0xad/0x1a0
 SyS_write+0x52/0xc0
 do_syscall_64+0x74/0x180
 entry_SYSCALL_64_after_hwframe+0x3d/0xa2
RIP: 0033:0x7ff77b1067a4
RSP: 002b:00007ffc02ae6eb8 EFLAGS: 00000246 ORIG_RAX: 0000000000000001
RAX: ffffffffffffffda RBX: 0000000000000004 RCX: 00007ff77b1067a4
RDX: 0000000000000004 RSI: 000055ac11f14ed0 RDI: 0000000000000004
RBP: 000055ac11f14ed0 R08: 000055ac11f13390 R09: 00007ff77b5d1940
R10: 000000000000000a R11: 0000000000000246 R12: 0000000000000004
R13: 0000000000000001 R14: 000055ac11f132b0 R15: 0000000000000004
Code: 85 c0 48 89 c3 74 12 b9 00 10 00 00 48 89 c2 31 f6 4c 89 e7 e8 c1 c9 ff ff 48 89 ea 48 89 de 48 c7 c7 28 56 0b a6 e8 2f c8 d9 ff <0f> 0b 48 89 df 5b 5d 41 5c e9 f1 3d f4 ff 90 66 66 66 66 90 41

Comment 1 melbana163 2018-04-05 13:29:01 UTC
Created attachment 1417710 [details]
File: dmesg

Comment 2 Justin M. Forbes 2018-07-23 14:55:34 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.

Fedora 27 has now been rebased to 4.17.7-100.fc27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 28, and are still experiencing this issue, please change the version to Fedora 28.

If you experience different issues, please open a new bug report for those.

Comment 3 Justin M. Forbes 2018-08-29 14:55:32 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 5 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.